Bug 2171683

Summary: python-psycopg2: FTBFS in Fedora rawhide/f38
Product: [Fedora] Fedora Reporter: Fedora Release Engineering <releng>
Component: python-psycopg2Assignee: Ondřej Sloup <osloup>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: devrim, fjanus, hhorak, jmlich83, osloup, praiskup, thrnciar
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-psycopg2-2.9.6-1.fc39 python-psycopg2-2.9.6-1.fc38 python-psycopg2-2.9.6-1.fc37 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-05-05 02:13:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 2168842, 2135404    

Description Fedora Release Engineering 2023-02-20 12:00:58 UTC
python-psycopg2 failed to build from source in Fedora rawhide/f38

https://koji.fedoraproject.org/koji/taskinfo?taskID=96427733


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild
Please fix python-psycopg2 at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-psycopg2 will be orphaned. Before branching of Fedora 39,
python-psycopg2 will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Update System 2023-05-05 02:11:30 UTC
FEDORA-2023-b9f2ed7096 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-b9f2ed7096

Comment 2 Fedora Update System 2023-05-05 02:13:25 UTC
FEDORA-2023-b9f2ed7096 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2023-05-05 02:36:32 UTC
FEDORA-2023-017a4fab12 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-017a4fab12

Comment 4 Fedora Update System 2023-05-05 02:36:55 UTC
FEDORA-2023-809ba00d0e has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-809ba00d0e

Comment 5 Fedora Update System 2023-05-05 15:55:00 UTC
FEDORA-2023-809ba00d0e has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-809ba00d0e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-809ba00d0e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-05-05 16:12:00 UTC
FEDORA-2023-017a4fab12 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-017a4fab12`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-017a4fab12

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-05-13 02:26:15 UTC
FEDORA-2023-809ba00d0e has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2023-05-13 02:27:33 UTC
FEDORA-2023-017a4fab12 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.